Subject: Service list is validated when dmd.conf is generated

From: [email-masked] (Ludovic Courtès)
Date: Tue, 22 Jul 2014 15:58:15 +0200

I’d be good to verify certain properties when generating dmd.conf, such as:

  1. Make sure any given name is provided by only one service.
  2. Make sure all the required services are actually provided.

Currently, those tests are only done by dmd itself, causing run time
failures.

Ludo’.